> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.galleon8.com/api-reference/advanced-api/api-endpoints/nft-api/ankr-get-nft-holders/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.galleon8.com/_mcp/server. # ankr_getNFTHolders POST https://advanced-api-docs-proxy.galleon8.workers.dev Content-Type: application/json Retrieves a list of holders (wallet addresses) of the specified NFT. Reference: https://docs.galleon8.com/api-reference/advanced-api/api-endpoints/nft-api/ankr-get-nft-holders ## Request ### Body (application/json) This endpoint expects an object. - `blockchain` (enum, required) — Name of the blockchain. - Allowed values: `arbitrum`, `avalanche`, `avalanche_fuji`, `bsc`, `eth`, `eth_goerli`, `fantom`, `optimism`, `polygon`, `polygon_mumbai`, `polygon_zkevm`, `syscoin` - `contractAddress` (string, required) — Contract address of the NFT collection. Supports ENS. - `pageSize` (integer, optional) — Number of entries per page. Max value — 10000, default value — 1000. - `pageToken` (string, optional) — Current page token for pagination. ## Response ### 200 Result returned by ankr_getNFTHolders. - `holders` (list of string, required, nullable) - `nextPageToken` (string, optional) — Next page token for pagination. ## Examples **Request** ```json [ "arbitrum", "0xc36442b4a4522e871399cd717abdd847ab11fe88", 10 ] ``` **Response** ```json { "jsonrpc": "2.0", "id": "1", "result": { "holders": [ "0x000000000000000000000000000000000000dead", "0x000000000000d34c44564053af35e4fe271d0caa", "0x00000000000a29a0800f6f557ddbbe8249397de7", "0x00000000005dbcb0d0513fcda746382fe8a53468", "0x0000000000f485a774ee60343ad3ac6d05d95fba", "0x000000004b60a12164e6942dcd3e007f079b725b", "0x00000001b01122945d67cf7c972f1a2063ca4008", "0x00000002f32c0886ee65d68059fbdb76ef6a6996", "0x0000000813b34008a225de08a6a61835508c71f9", "0x00000009d94baf057697d988d2e3eec2fce81162" ], "nextPageToken": "rFN6s7bcVaihtGvazmFxvsyFkoDx39sPyMULxoGT6SuoFi3tHzeAqmkVbzCtDCAQhFt6TsngYzVdMaWj" } } ``` **SDK Code** ```python import requests url = "https://advanced-api-docs-proxy.galleon8.workers.dev/" payload = ["arbitrum", "0xc36442b4a4522e871399cd717abdd847ab11fe88", 10] headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://advanced-api-docs-proxy.galleon8.workers.dev/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '["arbitrum","0xc36442b4a4522e871399cd717abdd847ab11fe88",10]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://advanced-api-docs-proxy.galleon8.workers.dev/" payload := strings.NewReader("[\n \"arbitrum\",\n \"0xc36442b4a4522e871399cd717abdd847ab11fe88\",\n 10\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://advanced-api-docs-proxy.galleon8.workers.dev/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "[\n \"arbitrum\",\n \"0xc36442b4a4522e871399cd717abdd847ab11fe88\",\n 10\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://advanced-api-docs-proxy.galleon8.workers.dev/") .header("Content-Type", "application/json") .body("[\n \"arbitrum\",\n \"0xc36442b4a4522e871399cd717abdd847ab11fe88\",\n 10\n]") .asString(); ``` ```php request('POST', 'https://advanced-api-docs-proxy.galleon8.workers.dev/', [ 'body' => '[ "arbitrum", "0xc36442b4a4522e871399cd717abdd847ab11fe88", 10 ]', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://advanced-api-docs-proxy.galleon8.workers.dev/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n \"arbitrum\",\n \"0xc36442b4a4522e871399cd717abdd847ab11fe88\",\n 10\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["arbitrum", "0xc36442b4a4522e871399cd717abdd847ab11fe88", 10] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://advanced-api-docs-proxy.galleon8.workers.dev/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```